%define name blam
%define version 1.6.1
%define release 3mdk

Summary: RSS aggregator written in C# using Mono, GTK# and RSS.NET
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/blam/%{name}-%{version}.tar.bz2
Patch: blam-1.6.0-firefox.patch.bz2
License: GPL
Group: Networking/Other
Url:  http://micke.hallendal.net
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gnome-sharp-devel
BuildRequires: glade-sharp-devel
BuildRequires: gecko-sharp >= 0.6
BuildRequires: mozilla-firefox-devel >= 0.10
BuildRequires: perl-XML-Parser
BuildRequires: ImageMagick
Requires: mozilla-firefox = %(rpm -q --queryformat %{VERSION} mozilla-firefox)

%description
This is a GNOME RSS aggregator based on Mono.

%prep
%setup -q
%patch -p1 -b .firefox
autoconf

%build
%configure2_5x --prefix=%_prefix --libdir=%_libdir --sysconfdir=%_sysconfdir \
	--with-mozilla=mozilla-firefox

#gw parallel build is broken
make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 icons/%name.png %buildroot%_liconsdir/%name.png
convert -scale 32x32 icons/%name.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 icons/%name.png %buildroot%_miconsdir/%name.png
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
        command="%_bindir/%name" \
        needs="X11" \
        section="Networking/Other" \
        icon="%name.png" \
        title="BLAM!" \
	startup_notify="true" \
	mimetypes="text/rss,application/rss+xml" \
        longtitle="GNOME RSS aggregator"
EOF

%find_lang %name
rm -f %buildroot%_libdir/%name/*.a

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null
%{update_menus}

%preun
if [ "$1" = "0" ] ; then
 export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
 gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null
fi

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%_sysconfdir/gconf/schemas/%name.schemas
%_bindir/%name
%_libdir/%name
%_datadir/applications/%name.desktop
%_datadir/%name
%_datadir/pixmaps/%name.png
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Thu Mar 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.1-3mdk 
- rebuild with latest firefox and change dependency (due to the way blam start)

* Wed Feb 23 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-2mdk
- rebuild with firefox

* Sun Jan  9 2005 Goetz Waschk <waschk@linux-mandrake.com> 1.6.1-1mdk
- New release 1.6.1

* Wed Jan  5 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-3mdk
- rebuild

* Sun Nov 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-2mdk
- rebuild for new mozilla
- 10.0 build with firefox

* Sun Oct 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-1mdk
- we depend on gecko-sharp
- New release 1.6.0

* Sat Sep 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.1-1mdk
- drop patch
- New release 1.4.1

* Wed Sep  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.0-1mdk
- fix german translation
- new source URL
- New release 1.4.0

* Fri Aug 20 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.4-1mdk
- New release 1.2.4

* Mon Aug  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.3-1mdk
- fix docs listing
- New release 1.2.3

* Wed Aug  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.1-1mdk
- initial package

